%global dlrn_nvr 14.2.3-1.20230521013955.fe79b95
%global dlrn 1
%define upstream_version 14.2.3
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 14.2.3
Release: 1.20230521013956%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 14.2.3-1.20230521013955.fe79b95.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=fe79b95db47dda2511600169840fbef0ec82e5c0
Patch0001: 0001-Revert-Fix-live-migration-with-libvirt-6.8.0.patch
Patch0002: 0002-Allow-clustercheck-to-wait-before-finishing.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-corosync
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-etcd
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-placement
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-rsyslog
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
%if 0%{?fedora}
# NOTE(bogdando): only needed for f28-based CI passing,
# remove this condition for the "else" path, once we have Centos 8.
Requires:       puppet-headless >= 5.5.6
%else
Requires:       puppet-headless >= 5.5.10
%endif
# NOTE(aschultz): needed to properly manage firewall rules.
Requires:       iptables-services
%if 0%{?fedora} || 0%{?rhel} > 7
# NOTE(aschultz): needed for rabbitmq on rhel8/fedora, see LP#1822673
# https://review.openstack.org/#/c/649170/
Requires:       glibc-langpack-en
%endif

%description
Lightweight composition layer for Puppet TripleO.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Mon Jun 05 2023 Jon Schlueter <jschluet@redhat.com> 14.2.3-1.20230521013956
- Allow clustercheck to wait before finishing (rhbz#2207941)

* Sat May 20 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230521013955.fe79b95
- Update patches
- Ensure designate central also gets policy configuration

* Tue May 16 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230517014022.20a162c
- Update patches
- Fix regression of Nova dhcp_domain handling

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230505005810.c29adb6
- Update patches
- Add missing member options for designate

* Thu Mar 23 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230323233848.d0c3708
- Update patches
- Ironic: Manage [nova] options by puppet

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230322233801.9c3779d
- Update patches
- Do no set ovn-match-northd-version to true by default.
- Include octavia task_flow manifest for octavia services

* Sun Feb 26 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-1.20230227004438.27145bc
- Update patches
- collectd: Allow duplicate plugins

* Tue Feb 07 2023 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20230207224046.c7b0fe6
- Update patches
- wallaby only: Pin external modules

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20230106155350.c6d3f8c
- Update patches
- Correct TLS cert permission

* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221216114149.4189e6a
- Update patches
- Enable fence_watchdog configuration in stonith topology

* Thu Dec 08 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221208234222.572edbd
- Update patches
- Cinder: Manage quota options

* Wed Nov 30 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221201004644.08e4898
- Update patches
- Support deploying additional internal glance-api service

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221124123804.4fbfb41
- Correct TLS cert permission (rhbz#2129165)

* Fri Oct 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20221029013725.4fbfb41
- Update patches
- nova-conductor: Fix wrong bootstrap node hieradata used

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20221027033720.1deeffd
- Update patches
- drop resource_restart_flag

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20221026064459.f8b057d
- Update patches
- galera: make gcache recovery configurable

* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20221025085058.9951fb7
- Update patches
- Allow passing aditional arguments to wsrep_provider_options

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20221014095452.ba98821
- Update patches
- Heat: Manage policy settings in heat-engine

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220802094558.47e76e9
- Update patches
- Change neutron backend's timeout in haproxy to 10 minutes

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220729014222.3bede60
- Update patches
- Configure ovn sb connection for the ovn provider
- Octavia: Add optional inclusion of driver_agent class

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220729003911.6883540
- Update patches

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220728040921.6883540
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220727210557.6883540
- Configure ovn sb connection for the ovn provider (rhbz#1966644)
- Octavia: Add optional inclusion of driver_agent class (rhbz#1966644)
- Remove ineffective ovn_remote_probe_interval (rhbz#2105312)
- Revert "Fix live-migration with libvirt >= 6.8.0" (rhbz#2089520)
- Designate: create proxy ports on external VIP to access miniDNS workers (rhbz#1897319)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220725000623.6883540
- Update patches
- Support mariabackup as a galera SST method

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-1.20220718141436.55a8c4d
- Update patches
- Redis required for designate central service
- Revert "Fix live-migration with libvirt >= 6.8.0"
- Remove ineffective ovn_remote_probe_interval
- Designate: create proxy ports on external VIP to access miniDNS workers
- Add support for ovn clustered DB in the octavia ovn-provider
- Fix tls related grafana check in the cephadm context
- Drop non-bundle manila
- Drop all non bundle implementations
- Remove stack_action parameter
- Remove stack_update check in rabbit manifest
- Moves the shared zuul queue tripleo to the project level
- Designate: configure unbound resolvers as dns servers
- Drop support for collectd-gnocchi
- Remove manifests for Contrail deployment
- Remove unused puppet-ptp
- Remove unused modules from testing
- Remove unused puppet-keepalived
- Replace the deprecated aodh::auth class
- Swift: Fix the class to enable the audit middleware
- Add audit middleware to Swift proxy pipeline
- Remove leftover of keepalived support

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20220429022554.f1d263b
- Update patches

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20220428021350.f1d263b
- Update patches
- HAProxy: enable forwardfor for all http endpoints

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.0-0.20220407023715.87240e8
- Update patches
- Add powermax support
- Format [oslo_cache] memcache_server when IPv6 is used
- Format [keystone_authtoken] memcache_servers when IPv6 is used

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220317195210.d116d1c
- Update patches
- Add flag for rabbitmq fips_mode, defaulting to false

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220307022326.30377d8
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220218002318.b224f18
- Update patches
- Increase connection timeouts for Redis

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220215002553.ece8832
- Update patches
- Fix lint failures

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220126222239.29712d0
- Update patches
- Octavia: configure services endpoints

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20220122222307.1bc9d42
- Update patches
- Run designate-api under apache

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211224001853.fcfebe4
- Update patches
- Enforce stonith for ComputeInstanceHA nodes

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211222003028.cb1f97c
- Update patches
- Remove the unused parameter

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211216170621.c40bcd0
- Update patches
- Support configuring extra cinder RBD options
- Remove unused tripleo::profile::base::validations

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211118002846.0721c18
- Update patches
- [Pure Storage] Add new params for FlashArray Cinder driver

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211110003202.66936ed
- Update patches
- Add support for share backend availability zones

* Sat Oct 30 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211030221907.4c2c990
- Update patches
- Enable support for Libvirt modular daemons

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211029004154.fb31f96
- Update patches
- Revert Horizon's Memecached config to use IP addresses
- Make sure resource_op_defaults are set before bundles

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.1-0.20211022001949.3f03b8a
- Update patches
- Make sure that rabbitmq_cacert has 'undef' as a default.

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.0-0.20211016002047.c13fd72
- Update patches
- Fix typo in SSL file resource
- Modernize rabbitmq's TLS support
- Bind mount the IPA crt when internal_tls is enabled
- haproxy: Use healthcheck API for Ironic and Octavia
- Remove zaqar

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20211009002927.cf44010
- Update patches
- haproxy: Add missing default_backend option
- haproxy: Use healthcheck middleware to monitor service availability

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20211007003045.f886dd0
- Update patches
- Remove mistral
- Add a new bind-mount for vTPM logs
- Add ability to noop a service

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20211005231938.28fad75
- Update patches
- Fix front/back-end options

* Mon Oct 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20211005001917.ae2375c
- Update patches
- Do not bind-mount qemu logs into another host path

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210929002704.bb0d3ce
- Update patches
- Horizon: Enable manila-dashboard configurations

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210928011835.c729340
- Update patches

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210922221834.c729340
- Update patches
- Horizon: Enable octavia-dashboard configurations
- Horizon: Enable heat-dashboard configurations

* Tue Sep 21 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210922001840.e83c472
- Update patches
- Replace rsprep directive with http-response replace-header
- haproxy: frontend/backend syntax in config

* Sat Sep 18 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210919001833.b676b2e
- Update patches
- Replace deprecated ceilometer::agent::auth

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210917002818.848f2ac
- Update patches
- Add missing "z" flag for specific mounts
- [c9] wrappers should start containers with host's cgroupns

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210915221837.9827b88
- Update patches
- Replace deprecated is_string/is_array/is_hash method

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210905003900.2addd1d
- Update patches
- Extend fencing to hosts using fence_kubevirt agent.

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210903075739.6177d70
- Update patches
- Make sure there is a space after debug in virtlogd_wrapper

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210828004146.73fc6a7
- Update patches
- Pin puppet-redis to 8.0.0

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210825083844.fdb8ee1
- Update patches
- Revert "Deprecate warnings for Ceilometer and Gnocchi"

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210821014036.69eb52b
- Update patches
- Replace deprecated is_integer
- Replace deprecated ip functions

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210818012817.1ce9d88
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210812015158.1ce9d88
- Update patches
- Allow tuning of Galera gcache size
- Bump metadata for wallaby tripleo repos release

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210804011806.c56c26d
- Update patches
- Set memcached server list from memcached_node_names

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210729001810.fdaf985
- Update patches
- Do not include client classes

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210728003827.ef5c2d3
- Update patches
- nova_virtlogd_wrapper: trap "created" containers
- Trim line breaks from pacemaker bundle function
- Create SSL certificates from sslProfiles

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210719224019.4628116
- Update patches

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210716001811.4628116
- Update patches
- Bump metadata.json for release of tripleo wallaby repos

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210714221812.e12d698
- Update patches
- Remove side-car containers in Create status

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210710223738.2132d43
- Update patches
- Wire up the tripleo-upgrades-wallaby-pipeline
- Revert "Aodh deprecation"

* Fri Jul 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210709221811.d181781
- Update patches

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210707222829.d181781
- Update patches
- Cinder: Dell EMC PowerMax: Fix typo in hash key

* Tue Jul 06 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210706221810.9afc84a
- Update patches
- Bump metadata to 14.2.0 for wallaby release

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210702223237.00bfe57
- Update patches
- haproxy: Enable httplog for all http endpoints
- haproxy: Use httpchk instead of tcpchk for heat endpoints
- Add posibility to download scripts for sensubility

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210628221810.147e6a2
- Update patches
- Remove bind and bind pool generation for designate from puppet

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210616224035.f8aea91
- Update patches
- Clear last dependency on puppet-ceph from Manila manifest

* Tue Jun 15 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210615222839.67b8c4d
- Update patches
- Add pcmk_host_list stonith-fence_compute-fence-nova
- Introduce nova virtlogd wrapper

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210610221827.22e79f3
- Update patches
- Add support for ovn clustered databases
- Revert "Allow ovn_db_host to be of type array"

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210609222843.cd9e059
- Update patches
- Allow overriding RBD disk cache modes

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210603221817.8f3a88b
- Update patches
- Add option to set rsyslog reopenOnTruncate parameter for all services
- Adding nova::network::neutron to nova-conductor

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210528155938.dbb50fa
- Update patches
- Restore the spec file which was deleted unexpectedly

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210528141501.a77fefb
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210527093847.a77fefb
- Update patches
- Add socat listen backend to clustercheck service

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210520070800.0b981a7
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210513001817.b8d1045
- Update patches
- Bump metadata.json major to 14.1.0 for TripleO wallaby release
- Remove the manifest for the Keepalived service

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210428163357.cddca4d
- Update patches
- cinder: remove support for the Veritas HyperScale Driver

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210427020748.98f0085
- Update patches
- Remove puppet-certmonger related puppet-files
- Remove redundant import of barbican::keystone::authtoken
- Add haproxy prometheus/alertmanager endpoint for Ceph Dashboard
- Remove deprecated dellemc_xtremio_iscsi resource
- Move stonith resource creation to step2
- Allow ovn_db_host to be of type array
- Gnocchi: Do not manage facl of ceph keyring
- cinder: remove ineffective implementation about key_mgr_backend
- Add cinder RBD support for multiple ceph clusters
- Enable configuration of omamqp1 plugin
- Remove the unused tripleo::host::sriov class
- Clean up deprecated parameters for nova metadata eventlet service

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always update the local certmonger ca cert
- Handle cinder volume type for multiple cinder stores

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused list_to_zookeeper_hash function
- Swift: Include puppet classes for gatekeeper and listing_formats
- Add parameter for chap_algs in iscsid.conf
- Remove support for networking-cisco

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for cinder-backup GCS and S3 backends
- Neutron: remove support for N1kv driver
- Update the community page.

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for configuring designate DNS backend
- Drop old cruft-removal code in ovn_dbs_bundle
- Fix novavnc haproxy network
- Set ovn_chassis_mac_map in ovn::controller

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include the nova::glance class in more common place

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix memcached restart on cert renewal
- Fix live-migration with libvirt >= 6.8.0
- Add replication_probe_interval for ovsdbs
- Remove unnecessary usage of hiera
- Add new nova::compute::provider class to compute nodes

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ports filtering support to XtremIO Cinder driver

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated zuul template tripleo-standalone-multinode-ipa

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add monitor interval for ovn dbs

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle cinder_mount_point_base for cinder mounting needs

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add authtoken security options
- Include nova::compute::image_cache class explicitly

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for multipath connection in cinder store

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor how key manager backend is set

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include nova::glance class
- Remove parameters to manage keystone resources and volume type
- Revert "Revert "Update horizon manifest to use new ssl variable names""
- Remove the wrongly placed release note files

* Sun Jan 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix container and user name when restarting memcached

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump metadata for wallaby-2 release

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused template file for securetty

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused template file for tripleo-ui
- Remove unused tripleo::network::os_net_config

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ability to specify memcached port
- Fix wrong file names of some unit test files
- Remove the unused template file for selinux
- Remove the unused template file for aide support
- Remove management of login.defs
- Glance: Include the required classes for image cache

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix manila-share with ceph-nfs backend

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Wire up new tripleo upgrades jobs template
- Adding key_size option on the certmonger_certificate function

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Defauts mariadb's innodb_strict_mode to OFF
- Enable ovn controller to be updated before ovn-northd.

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix nic selection when no nic is specified
- Remove /etc/ceph dependency on puppet services

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Filter haproxy_certificate_specs if hostname is empty

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support configuring multiple Netapp cinder backends

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force MySQL / MariaDB log_warnings to 1

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop including nova::metadata on computes

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generic cluster properties support

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- galera: expose 2-node mode for the galera resource
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow to specify a nic for the VIPs
- Cleanup old workaround for ipv6 VIPs
- Update master for stable/victoria
- Make sure qemu CA has correct permissions

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Sahara support

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump metadata to 13.4.0 preparing to create stable/victoria branch

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Update horizon manifest to use new ssl variable names"
- Puppet config options for AMQP1 sensubility transport

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify tags in consumer jobs

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update horizon manifest to use new ssl variable names
- Make nova_metadata use source LB strategy
- Fix the misplaced release note files
- Add explicit AllowUsers options for nova_migration

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix context string in unit tests

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add amqp send queue limit for collectd
- Update comment to fix lint error

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include ovs_driver and sriov_driver classes in base neutron profile
- Switch to content provider jobs/templates

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow overriding share protocols with manila
- Add changes for collectd libpod stats plugin

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make ceph_dashboard haproxy config parametric

* Sat Oct 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add fence_cisco_ucs support in tripleo fencing manifests

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include the nova::quota class for nova quota configuration
- Support designate profile when redis is not available
- Replace deprecated openstacklib::db::mysql::password_hash
- Add Memcached certificate generation

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit tests for memcached manifests

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle sparse image upload configuration parameters

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump metadata version to 13.3.0 for TripleO victoria rc1 release
- Remove package_manifest
- Add support for manila db purge job

* Sun Sep 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Make sure python3-novaclient is installed before creating fence_compute"

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update puppet-tripleo meta for victoria m3
- Change beaker to litmus
- Resolve conflict during module installation for unit tests
- fix some docs typos

* Sun Sep 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change branch name for selinux_core puppet module
- Replace union to create tcp-check list for redis

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit tests for Mistral manifests
- Add unit tests for Zaqar manifests
- Add support for aodh-expirer cron job

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix tls - zaqar wss default port
- add the standalone ipa job template to puppet-tripleo

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include gnocchi::db explicitly
- Use openstack_spec_helper from zuul checkout

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for glance db purge job

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- HA: ensure scaling up galera does not cause promotion errors

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit test cases for tripleo::profile::base::swift

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use correct memcached IPs for Swift object-expirer

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use keystone::cache

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typos, extreamio and xtreamio to xtremio

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid direct reference of hieradata

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow not setting hiera cephfs_enable_snapshots
- Cleanup manila netapp deprecated option usage

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixing incorrect parameter names in Dell EMC Storage Templates

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add designate coordination backend url

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use pcs 0.9 style authkey/remotes when doing an upgrade

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating VxFlex OS  Volume Config

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for PowerFlex Cinder Backend

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add certmonger-etcd-refresh.sh script

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include neutron::server::notification::nova class

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Port jobs from centos7 to centos8

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for PowerStore Cinder Backend

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure python3-novaclient is installed before creating fence_compute

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Tune haproxy for long running sessions to use leastconn

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch Octavia API to use source balancing

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use leastcon and socket-level TCP keep-alives for Heat API

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- first devel release for Victoria ( victoria-1 )

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix up cluster_setup_extras usage

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for token_flush cron job
- Add support for trust_flush cron job in keystone
- Ensure post-save certmonger scripts target the right HA container
- Include placement::api class

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Test neutron::db inclusion

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use relative names to include classes

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add FFU support for ceph_nfs

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove stonith level warning when running on a non cluster node

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch RGW HAProxy healthcheck to use special RGW healthcheck url

* Sat Jul 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated keystone::enable_bootstrap

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure that the HAProxy certificate is updated

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include neutron::db

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make the additional_erl_args change more independent

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable to modify params of logrotate-crond.conf

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix haproxy ceph dashboard condition

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup remaining implementation for EC2 API

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix RABBITMQ_SERVER_ADDITIONAL_ERL_ARGS usage with a proper override mechanism

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make promote timeout configurable

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the default values for ca_file and cert_file

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for Neutron FUJITSU plugin

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use puppet-openstack-module-unit-jobs to define unit test jobs

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the missing ':' in README

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make haproxy.pp honor EnableInternalTLS for rgw

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating Dell EMC Xtremio Iscsi Volume Config

* Sat Jun 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove obsolete 'http' backend from glance configuration

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Finish HAProxy config for metrics_qdr

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove selinux relabel mount option for neutron

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include vendordata class in nova-compute

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for Dell EMC VXFlexOS Backend

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- metadata.json: bump version for the start of Victoria
- Deprecate Keepalived

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow the Mistral tunnel timeout to be configurable.

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating ScaleIO Volume Config

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ipv6 addrlabel for ceph-nfs

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include vendordata in nova-api and nova-metadata-api

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow OCF resources to be created with --force

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only run the VIP creation code when enable_load_balancer is set to true

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- final release (GA) for ussuri

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using deprecated function mysql_password
- Fix puppetlabs/mysql dependency in metadata.json

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove EC2 API

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Powermax Config Fixes

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for Dell EMC XtremIO Volume Config

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating Old Dell SC Volume Config

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Accept missing memcached_node_ips
- Do not set cache parameter for openidc

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rremove manifests for ceilometer-expirer

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use http mode for nova_novncproxy

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for Dell EMC SC Volume Config

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Remove neutron wrappers"

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CephRgw healthcheck aligned with ceph-ansible

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove fluentd manifests

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated nova::::metadata::novajoin::api::service_password

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessory usage of hiera
- Remove plumgrid support

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for Sensu/Uchiwa

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update metadata to support el8 instead of el7 again

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit tests for designate manifests
- Add missing unit tests for gnocchi-metricd and gnocchi-statsd
- Remove Panko support

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove remaining zuul configuration for Tacker

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove remaining implementation for TripleO UI

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Hardcode openidc_cache_type parameter for keystone federation with OpenIdc

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not manage pv/vg for cinder iscsi backend
- Use a python shim for running for auth_ed25519 helper
- Remove OpenDaylight support

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log stdout of HA containers

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Update metadata to support el8 instead of el7"

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update metadata to support el8 instead of el7

* Sat Apr 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make CentOS8 unit tests voting

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove manifests for Trove
- Add Octavia OVN Provider configuration (2 of 2)

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup hieradata for ceilometer::keystone::authtoken
- Remove the usage of cinder::ceilometer

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing unit tests for placement manifests
- Fix incorrect spec file name

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add check for bootstrap_node for downcase

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove undefined octavia::rabbit_password from default hieradata

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken unit tests

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Autonatically set memcache_servers for keystone cache

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare u-3 release
- Define nova::cache parameters in tht

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Dell EMC PS Series Driver support
- Fix etcd's support for internal TLS

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow override of mysql/galera open files limit
- Replace deprecated gnocchi::storage::coordination_url

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating VMax Volume Config
- Support for PowerMax Volume Config

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set authtoken memcached_servers in undercloud services
- Use dogpile.cache.memcached in nova caching
- Set memcache_servers for heat::cache automatically
- Add missing unit tests for heat manifests

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add heat::cache to heat profile

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for mariadb's ed25519 authentication
- Add unit test job on CentOS8

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle ipv6 addresses in etcd and cinder's backend_url

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Octavia OVN Provider configuration (1 of 2)

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make all mysql root users managed during stack creation/update

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix grafana haproxy frontend ip variable

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duplicate entry of collectd-python package

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix restart unit condition on radosgw

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure we create stonith resources before stonith levels
- Enforce firewall rules before pacemaker-auth

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Certmonger ceph_rgw class to config tls

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add replication_probe_interval for ovsdbs"

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove wsgi enabled parameters in nova
- Add replication_probe_interval for ovsdbs

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- HA: fix rabbitmq readiness check for rabbitmq-server 3.8

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use short prameter names for nova::network::neutron

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for glance multistore

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove OpenShift API from haproxy LB configuration

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove k8s from haproxy

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused time/ptp class
- Remove deprecated securetty

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove kernel class

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support to configure virtlogd

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare u-2 release
- Pin puppet-collectd
- Add ceph dashboard frontend endpoint and tls-e integration

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make pipeline config more flexible

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable sudo rule creation

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't use defined"
- Don't use defined

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo in remote pcsd_bind_addr"
- Merge "Use memcached for token caching in designate authtoken"
- Fix typo in remote pcsd_bind_addr
- Use memcached for token caching in designate authtoken

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use ctlplane for internal QDR communication"
- Use ctlplane for internal QDR communication

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change the name of the HAProxy service to reflict the new name

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make the bundle user configurable via hiera"
- HA: Honour all hiera override variables in mysql_bundle
- Make the bundle user configurable via hiera

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make rsyslog file_input bulletproof"
- Make rsyslog file_input bulletproof

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add short node name override support to manila
- Remove unused manila_share_nodes_count variable

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "keystone: remove the keystone resource management"
- keystone: remove the keystone resource management

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow mysql haproxy stanza do be customized"
- Allow mysql haproxy stanza do be customized

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add keystone_resources_managed option to the cinder api class

* Sat Jan 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change parameter to 'coordination_uri'

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo in sslProfile conditional"
- Fix typo in sslProfile conditional

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable metrics qdr to use public VIP"
- Enable metrics qdr to use public VIP

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make sure neutron [placement] config section is set"
- Make sure neutron [placement] config section is set

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure pcsd bind address"
- Add support to configure pcsd bind address

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add octavia::nova to Octavia services"
- Add octavia::nova to Octavia services

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert all class usage to relative names"
- Convert all class usage to relative names

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable deployment with external loadbalancers"
- Enable deployment with external loadbalancers

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pin rsyslog

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- keystone: add a new parameter 'keystone_resources_managed'

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Replace hiera('service_names') by hiera('enabled_services')"
- Merge "Fix grafana listener options to allow affinity"
- Merge "Avoid failing on rsyslog"
- Merge "Remove haproxy ironic-inspector http-check workaround"
- Fix grafana listener options to allow affinity
- Avoid failing on rsyslog
- Remove haproxy ironic-inspector http-check workaround

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ovn_dbs override support

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Corrected default value for container_cli"
- Corrected default value for container_cli

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Explicitly convert stonith_level fact to int

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare first U release - 12.0.0

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Synchronize connection configuration for metrics"
- Synchronize connection configuration for metrics

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add the ability to configure ovn-remote-probe-interval"
- Add the ability to configure ovn-remote-probe-interval

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Check for crm_node presence before collecting fact"
- Check for crm_node presence before collecting fact

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch HA containers to k8s-file log-driver and make it a parameter

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove neutron wrappers"
- Remove neutron wrappers

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve stonith leves idempotency."
- Improve stonith leves idempotency.

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ceph Grafana should not be exposed by HAProxy as a public service

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fill sslProfile only when it is defined

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix upper case checks for SRIOV interface"
- Merge "ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs"
- Include ::nova::pci to nova api profile
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs
- Fix upper case checks for SRIOV interface

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Only configure libvirt-guests if enabled"
- Only configure libvirt-guests if enabled

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs"
- Add configurable monitor timeouts for ovn dbs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare RC + stable/train

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching in keystone""
- Revert "Add support to configure token caching in keystone"

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow the IHA OCF and fencing resource to be moved to the nova service user"
- Allow the IHA OCF and fencing resource to be moved to the nova service user

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pacemaker: add support for Hash vs List in container environment"
- pacemaker: add support for Hash vs List in container environment

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deep merge hiera keys for mysqld_options

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Tacker service"
- Remove Tacker service

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Workaround for /etc/pki/CA/certs/vnc.crt not present"
- Workaround for /etc/pki/CA/certs/vnc.crt not present

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure token caching in keystone"
- Add support to configure token caching in keystone

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Configuration changes to support Qdr-mesh topology."
- Configuration changes to support Qdr-mesh topology.

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing PXE directories for Conductor"
- Fix missing PXE directories for Conductor

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove tripleo-ci-centos-7-scenario010-multinode-oooq-container

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a configurable delay to Nova Evacuate calls


